
%Inserting polars from a txt file generated by xfoil 
Xfoil_data = readmatrix('NACA0018.txt');
Polars = Xfoil_data(:, [1:3,5]);


n = 5 ; 
a = linspace(min(Polars(1:end-1,1)),max(Polars(1:end-1,1)));
pL = polyfit(Polars(1:end-1,1),Polars(1:end-1,2),n);
pD = polyfit(Polars(1:end-1,1),Polars(1:end-1,3),n);
pM = polyfit(Polars(1:end-1,1),Polars(1:end-1,4),n);
C_L = polyval(pL,a);
C_D = polyval(pD,a);
C_M = polyval(pM,a);


% Create plots
t = tiledlayout(2,2);
title(t,"NACA0018 Polars")

nexttile
plot([flip(-a), a],[-flip(C_L), C_L], linewidth = 1.5)
title("Lift Coefficient")
xlabel("α")
ylabel("C_L")
grid on

nexttile
plot([flip(-a), a],[flip(C_D), C_D], linewidth = 1.5)
xlabel("α")
ylabel("C_D")
title("Drag Coefficient")
grid on

nexttile
plot([flip(-a), a],[-flip(C_M), C_M], linewidth = 1.5)
xlabel("α")
ylabel("C_M")
title("Moment Coefficient")
grid on

nexttile
plot([flip(-C_L), C_L],[flip(C_D), C_D], linewidth = 1.5)
xlabel("C_D")
ylabel("C_L")
title("Lift Coefficient vs Drag Coefficient")
grid on


